package com.chinaitop.depot.grainAPI.controller;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.chinaitop.depot.grainAPI.entity.TestData;
import com.chinaitop.depot.grainAPI.service.TestDataService;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qingsong.han
 * @description: 库端到云端数据同步接口 test_data
 * @create 2021-11-02 16:13
 */
@RestController
@RequestMapping(value = "/testData")
public class GrainDataSynController {
    private final static Logger logger = LoggerFactory.getLogger(GrainDataSynController.class);

    @Resource
    private TestDataService testDataService;

    @PostMapping("/housesToCouldTemperData")
    public void housesToCouldTemperData(@RequestBody String grainJson) {
        logger.info("testData: {}", grainJson);
        try {
            if (StringUtils.isNotBlank(grainJson)) {
                List<TestData> testData = JSONArray.parseArray(grainJson, TestData.class);
                testDataService.saveBatch(testData);
            }
        } catch (Exception e) {
            logger.info("testData数据保存失败: {}", grainJson);
            e.printStackTrace();
        }
    }

}
