package com.chinaitop.depot.grainAPI.controller;

import com.alibaba.fastjson.JSONArray;
import com.chinaitop.depot.grainAPI.entity.TestDataLayer;
import com.chinaitop.depot.grainAPI.service.TestDataLayerService;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qingsong.han
 * @description: 测温数据子表库到云数据同步
 * @create 2021-11-03 13:52
 */
@RestController
@RequestMapping(value = "/testDataLayer")
public class GrainLayerDataSynController {
    private final static Logger logger = LoggerFactory.getLogger(GrainLayerDataSynController.class);
    @Resource
    private TestDataLayerService testDataLayerService;

    @PostMapping("/housesToCouldTemperData")
    public void housesToCouldTemperData(@RequestBody String grainJson) {
        logger.info("testDataLayer: {}", grainJson);
        try {
            if (StringUtils.isNotBlank(grainJson)) {
                List<TestDataLayer> testDataLayer = JSONArray.parseArray(grainJson, TestDataLayer.class);
                testDataLayerService.saveBatch(testDataLayer);
            }
        } catch (Exception e) {
            logger.info("testDataLayerDataInfo保存失败: {}", grainJson);
            e.printStackTrace();
        }
    }

}
