package com.chinaitop.depot.grainAPI.controller;

import com.alibaba.fastjson.JSONArray;
import com.chinaitop.depot.grainAPI.entity.TestWarningData;
import com.chinaitop.depot.grainAPI.service.TestWarningDataService;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qingsong.han
 * @description: 接收库端粮情报警数据到云端
 * @create 2021-11-03 16:26
 */
@RestController
@RequestMapping(value = "/testWarningData")
public class GrainWarningDataSynController {
    private final static Logger logger = LoggerFactory.getLogger(GrainWarningDataSynController.class);
    @Resource
    private TestWarningDataService testWarningDataService;

    @PostMapping("/housesToCouldTemperData")
    public void housesToCouldTemperData(@RequestBody String grainJson) {
        logger.info("testWarningData: {}", grainJson);
        try {
            if (StringUtils.isNotBlank(grainJson)) {
                List<TestWarningData> testWarningData = JSONArray.parseArray(grainJson, TestWarningData.class);
                testWarningDataService.saveBatch(testWarningData);
            }
        } catch (Exception e) {
            logger.info("testWarningData保存失败: {}", grainJson);
            e.printStackTrace();
        }
    }

}
