package com.chinaitop.depot.grainAPI.entity;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author jobob
 * @since 2020-01-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TTestdataCloud implements Serializable {

    private static final long serialVersionUID = 1L;

    private String id;

    private String orgId;

    /**
     * 仓房国标编码
     */
    private String storehouse;

    /**
     * 仓厫编码
     */
    private String house;

    /**
     * 采集时间
     */
    private Date tTime;

    /**
     * 仓内温 单位：摄氏度，精确到小数点后1位；
     */
    private BigDecimal intemp;

    private BigDecimal inh;

    private BigDecimal outtemp;

    private BigDecimal outh;

    /**
     * 最高粮温
     */
    private BigDecimal tMax;

    /**
     * 最低粮温
     */
    private BigDecimal tMin;

    /**
     * 平均粮温
     */
    private BigDecimal tAvg;

    /**
     * 数据来源
     */
    private String dataSource;


    /**
     * 0：粮情；1：油情；2：水分
     */
    private String ilqYq;

    /**
     * temp:温度值 单位：摄氏度；坏点值以250表示；精确到小数点后1位;测温点在仓内的X坐标代表长度 代表列;测温点在仓内的Y坐标宽度方向 代表行;测温点在仓内的Z坐标高度
     */
    private String tPoints;

    private Date updatetime;

    private List<Object> points = new ArrayList<>();

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getStorehouse() {
        return storehouse;
    }

    public void setStorehouse(String storehouse) {
        this.storehouse = storehouse;
    }

    public String getHouse() {
        return house;
    }

    public void setHouse(String house) {
        this.house = house;
    }

    public Date gettTime() {
        return tTime;
    }

    public void settTime(Date tTime) {
        this.tTime = tTime;
    }

    public BigDecimal getIntemp() {
        return intemp;
    }

    public void setIntemp(BigDecimal intemp) {
        this.intemp = intemp;
    }

    public BigDecimal getInh() {
        return inh;
    }

    public void setInh(BigDecimal inh) {
        this.inh = inh;
    }

    public BigDecimal getOuttemp() {
        return outtemp;
    }

    public void setOuttemp(BigDecimal outtemp) {
        this.outtemp = outtemp;
    }

    public BigDecimal getOuth() {
        return outh;
    }

    public void setOuth(BigDecimal outh) {
        this.outh = outh;
    }

    public BigDecimal gettMax() {
        return tMax;
    }

    public void settMax(BigDecimal tMax) {
        this.tMax = tMax;
    }

    public BigDecimal gettMin() {
        return tMin;
    }

    public void settMin(BigDecimal tMin) {
        this.tMin = tMin;
    }

    public BigDecimal gettAvg() {
        return tAvg;
    }

    public void settAvg(BigDecimal tAvg) {
        this.tAvg = tAvg;
    }

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource;
    }

    public String getIlqYq() {
        return ilqYq;
    }

    public void setIlqYq(String ilqYq) {
        this.ilqYq = ilqYq;
    }

    public String gettPoints() {
        return tPoints;
    }

    public void settPoints(String tPoints) {
        this.tPoints = tPoints;
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}
